From 5d70e00cab3ffd8e5dc5a76295f0601adeee06e9 Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Tue, 29 Mar 2022 10:06:07 -0400
Subject: [PATCH v3 2/3] Document basebackup_to_shell.required_role.

Omission noted by Joe Conway.
---
 doc/src/sgml/basebackup-to-shell.sgml | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/doc/src/sgml/basebackup-to-shell.sgml b/doc/src/sgml/basebackup-to-shell.sgml
index f36f37e510..9f44071d50 100644
--- a/doc/src/sgml/basebackup-to-shell.sgml
+++ b/doc/src/sgml/basebackup-to-shell.sgml
@@ -55,6 +55,23 @@
      </para>
     </listitem>
    </varlistentry>
+
+   <varlistentry>
+    <term>
+     <varname>basebackup_to_shell.required_role</varname> (<type>string</type>)
+     <indexterm>
+      <primary><varname>basebackup_to_shell.required_role</varname> configuration parameter</primary>
+     </indexterm>
+    </term>
+    <listitem>
+     <para>
+      A role which replication whose privileges users are required to possess
+      in order to make use of the <literal>shell</literal> backup target.
+      If this is not set, any replication user may make use of the
+      <literal>shell</literal> backup target.
+     </para>
+    </listitem>
+   </varlistentry>
   </variablelist>
  </sect2>
 
-- 
2.24.3 (Apple Git-128)

